#
# icann tlds from http://www.icann.org/registries/listing.html
#
tld areo
tld biz
tld com
tld coop
tld edu
tld gov
tld info
tld int
tld mil
tld museum
tld name
tld net
tld org
tld pro
#
# icann tlds from http://www.iana.org/cctld/cctld-whois.htm   2004-06-04
#
tld ac    # Ascension Island
tld ad    # Andorra
tld ae    # United Arab Emirates
tld af    # Afghanistan
tld ag    # Antigua and Barbuda
tld ai    # Anguilla
tld al    # Albania
tld am    # Armenia
tld an    # Netherlands Antilles
tld ao    # Angola
tld aq    # Antarctica
tld ar    # Argentina
tld as    # American Samoa
tld at    # Austria
tld au    # Australia
tld aw    # Aruba
tld ax    # Aland Islands
tld az    # Azerbaijan
tld ba    # Bosnia and Herzegovina
tld bb    # Barbados
tld bd    # Bangladesh
tld be    # Belgium
tld bf    # Burkina Faso
tld bg    # Bulgaria
tld bh    # Bahrain
tld bi    # Burundi
tld bj    # Benin
tld bm    # Bermuda
tld bn    # Brunei Darussalam
tld bo    # Bolivia
tld br    # Brazil
tld bs    # Bahamas
tld bt    # Bhutan
tld bv    # Bouvet Island
tld bw    # Botswana
tld by    # Belarus
tld bz    # Belize
tld ca    # Canada
tld cc    # Cocos (Keeling) Islands
tld cd    # Congo, The Democratic Republic of the
tld cf    # Central African Republic
tld cg    # Congo, Republic of
tld ch    # Switzerland
tld ci    # Cote d'Ivoire
tld ck    # Cook Islands
tld cl    # Chile
tld cm    # Cameroon
tld cn    # China
tld co    # Colombia
tld cr    # Costa Rica
tld cs    # Serbia and Montenegro
tld cu    # Cuba
tld cv    # Cape Verde
tld cx    # Christmas Island
tld cy    # Cyprus
tld cz    # Czech Republic
tld de    # Germany
tld dj    # Djibouti
tld dk    # Denmark
tld dm    # Dominica
tld do    # Dominican Republic
tld dz    # Algeria
tld ec    # Ecuador
tld ee    # Estonia
tld eg    # Egypt
tld eh    # Western Sahara
tld er    # Eritrea
tld es    # Spain
tld et    # Ethiopia
tld fi    # Finland
tld fj    # Fiji
tld fk    # Falkland Islands (Malvinas)
tld fm    # Micronesia, Federal State of
tld fo    # Faroe Islands
tld fr    # France
tld ga    # Gabon
tld gb    # United Kingdom
tld gd    # Grenada
tld ge    # Georgia
tld gf    # French Guiana
tld gg    # Guernsey
tld gh    # Ghana
tld gi    # Gibraltar
tld gl    # Greenland
tld gm    # Gambia
tld gn    # Guinea
tld gp    # Guadeloupe
tld gq    # Equatorial Guinea
tld gr    # Greece
tld gs    # South Georgia and the South Sandwich Islands
tld gt    # Guatemala
tld gu    # Guam
tld gw    # Guinea-Bissau
tld gy    # Guyana
tld hk    # Hong Kong
tld hm    # Heard and McDonald Islands
tld hn    # Honduras
tld hr    # Croatia/Hrvatska
tld ht    # Haiti
tld hu    # Hungary
tld id    # Indonesia
tld ie    # Ireland
tld il    # Israel
tld im    # Isle of Man
tld in    # India
tld io    # British Indian Ocean Territory
tld iq    # Iraq
tld ir    # Iran, Islamic Republic of
tld is    # Iceland
tld it    # Italy
tld je    # Jersey
tld jm    # Jamaica
tld jo    # Jordan
tld jp    # Japan
tld ke    # Kenya
tld kg    # Kyrgyzstan
tld kh    # Cambodia
tld ki    # Kiribati
tld km    # Comoros
tld kn    # Saint Kitts and Nevis
tld kp    # Korea, Democratic People's Republic
tld kr    # Korea, Republic of
tld kw    # Kuwait
tld ky    # Cayman Islands
tld kz    # Kazakhstan
tld la    # Lao People's Democratic Republic
tld lb    # Lebanon
tld lc    # Saint Lucia
tld li    # Liechtenstein
tld lk    # Sri Lanka
tld lr    # Liberia
tld ls    # Lesotho
tld lt    # Lithuania
tld lu    # Luxembourg
tld lv    # Latvia
tld ly    # Libyan Arab Jamahiriya
tld ma    # Morocco
tld mc    # Monaco
tld md    # Moldova, Republic of
tld mg    # Madagascar
tld mh    # Marshall Islands
tld mk    # Macedonia, The Former Yugoslav Republic of
tld ml    # Mali
tld mm    # Myanmar
tld mn    # Mongolia
tld mo    # Macau
tld mp    # Northern Mariana Islands
tld mq    # Martinique
tld mr    # Mauritania
tld ms    # Montserrat
tld mt    # Malta
tld mu    # Mauritius
tld mv    # Maldives
tld mw    # Malawi
tld mx    # Mexico
tld my    # Malaysia
tld mz    # Mozambique
tld na    # Namibia
tld nc    # New Caledonia
tld ne    # Niger
tld nf    # Norfolk Island
tld ng    # Nigeria
tld ni    # Nicaragua
tld nl    # Netherlands
tld no    # Norway
tld np    # Nepal
tld nr    # Nauru
tld nu    # Niue
tld nz    # New Zealand
tld om    # Oman
tld pa    # Panama
tld pe    # Peru
tld pf    # French Polynesia
tld pg    # Papua New Guinea
tld ph    # Philippines
tld pk    # Pakistan
tld pl    # Poland
tld pm    # Saint Pierre and Miquelon
tld pn    # Pitcairn Island
tld pr    # Puerto Rico
tld ps    # Palestinian Territories
tld pt    # Portugal
tld pw    # Palau
tld py    # Paraguay
tld qa    # Qatar
tld re    # Reunion Island
tld ro    # Romania
tld ru    # Russian Federation
tld rw    # Rwanda
tld sa    # Saudi Arabia
tld sb    # Solomon Islands
tld sc    # Seychelles
tld sd    # Sudan
tld se    # Sweden
tld sg    # Singapore
tld sh    # Saint Helena
tld si    # Slovenia
tld sj    # Svalbard and Jan Mayen Islands
tld sk    # Slovak Republic
tld sl    # Sierra Leone
tld sm    # San Marino
tld sn    # Senegal
tld so    # Somalia
tld sr    # Suriname
tld st    # Sao Tome and Principe
tld sv    # El Salvador
tld sy    # Syrian Arab Republic
tld sz    # Swaziland
tld tc    # Turks and Caicos Islands
tld td    # Chad
tld tf    # French Southern Territories
tld tg    # Togo
tld th    # Thailand
tld tj    # Tajikistan
tld tk    # Tokelau
tld tl    # Timor-Leste
tld tm    # Turkmenistan
tld tn    # Tunisia
tld to    # Tonga
tld tp    # East Timor
tld tr    # Turkey
tld tt    # Trinidad and Tobago
tld tv    # Tuvalu
tld tw    # Taiwan
tld tz    # Tanzania
tld ua    # Ukraine
tld ug    # Uganda
tld uk    # United Kingdom
tld um    # United States Minor Outlying Islands
tld us    # United States
tld uy    # Uruguay
tld uz    # Uzbekistan
tld va    # Holy See (Vatican City State)
tld vc    # Saint Vincent and the Grenadines
tld ve    # Venezuela
tld vg    # Virgin Islands, British
tld vi    # Virgin Islands, U.S.
tld vn    # Vietnam
tld vu    # Vanuatu
tld wf    # Wallis and Futuna Islands
tld ws    # Western Samoa
tld ye    # Yemen
tld yt    # Mayotte
tld yu    # Yugoslavia
tld za    # South Africa
tld zm    # Zambia
tld zw    # Zimbabwe
